Subject: RE: bug#9712: 24.0.50; doc about byte-compiling `defcustom'

From: "Drew Adams" <[email-masked]>
Date: Mon, 10 Oct 2011 21:51:00 -0700

> The bug is not in the doc but in the behavior.

That was my feeling, as well.  But I did not expect agreement, based on the
commented code.

The bug has been there for multiple major Emacs releases now - a decade or so,
and appears to have been introduced intentionally.  If there is no plan to fix
it soon, perhaps the info that is in the comments should at least be conveyed to
users.

Alternatively, the code could be uncommented and byte-compiling be let free to
do what is advertised that it does.  The downside would be showing users the
constant values in Customize, but that seems like less of a disfunction than
what we have now.

As it stands now, the behavior is stable (many years), but it is not what is
intended and it does not correspond to the behavior implied by the doc.